haskell-hledger (1.50.3-1) unstable; urgency=medium

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1120833)

  [ Scott Talbert and Nicholas D Steeves ]
  * Unbreak detection of threaded support; Upstream moved
    /usr/lib/ghc/rts/libHSrts_thr.a and arch and ghc versions-specific
    location.

 -- Nicholas D Steeves <sten@debian.org>  Tue, 18 Nov 2025 22:43:10 -0500

haskell-hledger (1.50.2-1) unstable; urgency=medium

  [ Scott Talbert ]
  * Build using dh-haskell

  [ Nicholas D Steeves ]
  * New upstream release (Closes: #1116942)
  * Add "sensible-utils" bin:hledger Recommends, but make it a Suggests for
    bin:hledger-dev
  * Override lintian custom-library-search-path
  * Update watch file format version to 4
  * Update renamed lintian tag names in lintian overrides

 -- Nicholas D Steeves <sten@debian.org>  Sat, 15 Nov 2025 20:28:22 -0500

haskell-hledger (1.32.3-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.7.0
  * New upstream release (Closes: #1081582)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 11 Oct 2024 11:12:02 +0300

haskell-hledger (1.30.1-1) unstable; urgency=medium

  * Declare compliance with Debian policy 4.6.2
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 25 Oct 2023 09:22:35 +0300

haskell-hledger (1.25-2) unstable; urgency=medium

  * Install hledger(1) and hledger.info.

 -- Clint Adams <clint@debian.org>  Sun, 31 Jul 2022 15:23:41 -0400

haskell-hledger (1.25-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Declare compliance with Debian policy 4.6.1

  [ Clint Adams ]
  * New upstream release

 -- Clint Adams <clint@debian.org>  Fri, 29 Jul 2022 17:10:22 -0400

haskell-hledger (1.19.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 20 Sep 2021 15:52:26 -0400

haskell-hledger (1.18.1-1) unstable; urgency=medium

  * New upstream release
  * Install missing man pages (Closes: #949202)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Thu, 20 Aug 2020 09:11:50 +0300

haskell-hledger (1.16.2-2) unstable; urgency=medium

  * Update copyright years

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 12 Aug 2020 11:09:54 +0200

haskell-hledger (1.16.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Thu, 18 Jun 2020 19:29:16 -0400

haskell-hledger (1.14.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 01 Dec 2019 15:07:42 -0500

haskell-hledger (1.12.1-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Tue, 27 Aug 2019 20:58:15 -0400

haskell-hledger (1.10-3) unstable; urgency=medium

  * Remove build dependency on libghc-parsec3-dev (provided by ghc-
    8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 03 Oct 2018 12:06:12 +0300

haskell-hledger (1.10-2) unstable; urgency=medium

  * Remove build dependency on libghc-mtl-dev (provided by ghc-8.4.3)
  * Remove build dependency on libghc-text-dev (provided by ghc-8.4.3)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 01 Oct 2018 13:47:32 +0300

haskell-hledger (1.10-1) unstable; urgency=medium

  [ Clint Adams ]
  * Set Rules-Requires-Root to no.

  [ Ilias Tsitsimpis ]
  * Bump debhelper compat level to 10
  * New upstream release

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 29 Sep 2018 17:00:16 +0300

haskell-hledger (1.5-2) unstable; urgency=medium

  * Apply patch from Andrew Shadura to ship hledger(1).

 -- Clint Adams <clint@debian.org>  Tue, 17 Apr 2018 15:36:48 -0400

haskell-hledger (1.5-1) unstable; urgency=medium

  [ Ilias Tsitsimpis ]
  * Use salsa.debian.org URLs in Vcs-{Browser,Git} fields

  [ Clint Adams ]
  * Bump to Standards-Version 4.1.4.
  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 09 Apr 2018 16:08:48 -0400

haskell-hledger (1.2-1) unstable; urgency=medium

  [ Sean Whitton ]
  * New upstream release

  [ Ilias Tsitsimpis ]
  * Change Priority to optional. Since Debian Policy version 4.0.1,
    priority extra has been deprecated.
  * Use the HTTPS form of the copyright-format URL
  * Modify d/watch and Source field in d/copyright to use HTTPS
  * Declare compliance with Debian policy 4.1.1
  * Update newer-megaparsec patch to support megaparsec-5.3.1

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 04 Nov 2017 21:09:04 +0200

haskell-hledger (1.1-3) unstable; urgency=medium

  * Fix build dependencies.  closes: #868628.

 -- Clint Adams <clint@debian.org>  Sun, 16 Jul 2017 21:22:14 -0400

haskell-hledger (1.1-2) unstable; urgency=medium

  * Patch for newer megaparsec.

 -- Clint Adams <clint@debian.org>  Wed, 12 Jul 2017 18:57:15 -0400

haskell-hledger (1.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Wed, 05 Jul 2017 22:06:22 -0400

haskell-hledger (1.0.1-2) unstable; urgency=medium

  * Fix path to libHSrts_thr.a.

 -- Clint Adams <clint@debian.org>  Tue, 27 Jun 2017 19:39:31 -0400

haskell-hledger (1.0.1-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 21:25:35 -0400

haskell-hledger (1.0-1) unstable; urgency=medium

  * New upstream release
  * Upload to unstable as part of GHC 8 transition.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2016 18:34:07 -0400

haskell-hledger (0.27.1-1) experimental; urgency=medium

  [ Dmitry Bogatov ]
  * Use secure (https) uri in Vcs-Git field in 'debian/control'
  * Bump standards version to 3.9.8 (no changes needed)
  * Convert `debian/copyright' to dep5 format

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 17 Oct 2016 01:13:11 -0400

haskell-hledger (0.27-1) unstable; urgency=medium

  * New upstream release

 -- Clint Adams <clint@debian.org>  Mon, 14 Mar 2016 14:21:06 -0400

haskell-hledger (0.26-2) unstable; urgency=medium

  * Switch Vcs-Git/Vcs-Browser headers to new location.

 -- Clint Adams <clint@debian.org>  Thu, 03 Dec 2015 14:54:33 -0500

haskell-hledger (0.26-1) experimental; urgency=medium

  [ Helmut Grohne ]
  * Mark hledger as Multi-Arch:foreign.

  [ Clint Adams ]
  * Tweak RTS lib path in threading test.

  [ Joachim Breitner ]
  * New upstream release
  * Depend on haskell-devscripts >= 0.10 to ensure that this package
    builds against GHC in experimental

 -- Joachim Breitner <nomeata@debian.org>  Thu, 20 Aug 2015 10:27:48 +0200

haskell-hledger (0.24.1-1) unstable; urgency=medium

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 29 Jun 2015 11:21:16 +0200

haskell-hledger (0.24-5) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:38 +0200

haskell-hledger (0.24-4) unstable; urgency=medium

  * Rebuild due to haskell-devscripts bug affecting the previous

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 23:58:38 +0200

haskell-hledger (0.24-3) unstable; urgency=medium

  * Add hledger.lintian-overrides

 -- Joachim Breitner <nomeata@debian.org>  Tue, 28 Apr 2015 15:40:04 +0200

haskell-hledger (0.24-2) unstable; urgency=medium

  * Upload to unstable

 -- Joachim Breitner <nomeata@debian.org>  Mon, 27 Apr 2015 11:50:26 +0200

haskell-hledger (0.24-1) experimental; urgency=medium

  * New upstream release

 -- Dmitry Bogatov <KAction@gnu.org>  Sun, 11 Jan 2015 21:06:54 +0300

haskell-hledger (0.23.3-2) experimental; urgency=medium

  * Depend on haskell-devscripts 0.9, found in experimental
  * Patch: Avoid shakespeare-text
  * Do not depend on haskeline, which now comes with GHC

 -- Joachim Breitner <nomeata@debian.org>  Mon, 22 Dec 2014 13:21:12 +0100

haskell-hledger (0.23.3-1) unstable; urgency=medium

  * New upstream release

 -- Raúl Benencia <rul@kalgan.cc>  Fri, 19 Sep 2014 16:57:00 -0300

haskell-hledger (0.23.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 15 Jun 2014 13:31:38 -0400

haskell-hledger (0.22.2-1) unstable; urgency=medium

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 30 Apr 2014 14:49:03 -0400

haskell-hledger (0.22.1-1) unstable; urgency=low

  * New upstream release

 -- Joachim Breitner <nomeata@debian.org>  Mon, 10 Feb 2014 23:31:39 +0000

haskell-hledger (0.22-1) unstable; urgency=medium

  [ Joachim Breitner ]
  * Adjust watch file to new hackage layout
  * Fix path to test whether -threaded is supported by GHC

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 28 Dec 2013 13:52:46 -0500

haskell-hledger (0.21.3-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 03 Aug 2013 12:49:23 -0400

haskell-hledger (0.20-3) unstable; urgency=low

  * Move Haskell blurb to the end of the description, reduces the impact
    of #708703

 -- Joachim Breitner <nomeata@debian.org>  Sat, 25 May 2013 23:52:23 +0200

haskell-hledger (0.20-2) unstable; urgency=low

  * Enable compat level 9
  * Use substvars for Haskell description blurbs

 -- Joachim Breitner <nomeata@debian.org>  Fri, 24 May 2013 12:50:54 +0200

haskell-hledger (0.20-1) experimental; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Wed, 01 May 2013 17:35:37 -0400

haskell-hledger (0.19.3-1) experimental; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 25 Nov 2012 21:46:02 -0500

haskell-hledger (0.19-1) experimental; urgency=low

  [ Joachim Breitner ]
  * Depend on haskell-devscripts 0.8.13 to ensure this package is built
    against experimental
  * Bump standards version, no change

  [ Clint Adams ]
  * New upstream version.

 -- Clint Adams <clint@debian.org>  Mon, 29 Oct 2012 12:30:04 -0400

haskell-hledger (0.18.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 30 Jun 2012 06:28:22 -0400

haskell-hledger (0.18-1) unstable; urgency=low

  * New upstream version.
  * Change hledger to section 'utils', and fix long description.
    closes: #663568.

 -- Clint Adams <clint@debian.org>  Tue, 29 May 2012 20:08:49 -0400

haskell-hledger (0.17-2) unstable; urgency=low

  * Patch to build without TH.

 -- Clint Adams <clint@debian.org>  Fri, 02 Mar 2012 10:53:55 -0500

haskell-hledger (0.17-1) unstable; urgency=low

  * New upstream version.
    - Drop non-threaded runtime patch (merged upstream).
    - Drop newer cmdargs patch (merged upstream).
  * Bump to Standards-Version 3.9.3.

 -- Clint Adams <clint@debian.org>  Fri, 02 Mar 2012 10:25:40 -0500

haskell-hledger (0.16.1-4) unstable; urgency=low

  * Fix to work with cmdargs 0.9.

 -- Clint Adams <clint@debian.org>  Wed, 04 Jan 2012 14:05:41 -0500

haskell-hledger (0.16.1-3) unstable; urgency=low

  * Fix threaded flag in cabal file.  closes: #654258.
  * Move to DHG Darcs repo.

 -- Clint Adams <clint@debian.org>  Mon, 02 Jan 2012 11:16:55 -0500

haskell-hledger (0.16.1-2) unstable; urgency=low

  * Only build threaded on architectures that can support it.

 -- Clint Adams <clint@debian.org>  Thu, 27 Oct 2011 21:32:25 -0400

haskell-hledger (0.16.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 08 Oct 2011 20:11:20 -0400

haskell-hledger (0.16-1) unstable; urgency=low

  * New upstream version.
  * Change maintainer to Debian Haskell Group.

 -- Clint Adams <clint@debian.org>  Sat, 01 Oct 2011 13:35:44 -0400

haskell-hledger (0.15.2-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sun, 18 Sep 2011 09:01:26 -0400

haskell-hledger (0.15.1-1) unstable; urgency=low

  * New upstream version.

 -- Clint Adams <clint@debian.org>  Sat, 03 Sep 2011 11:01:42 -0400

haskell-hledger (0.14-1) unstable; urgency=low

  * Initial release.

 -- Clint Adams <clint@debian.org>  Sat, 28 May 2011 14:57:59 -0400
